Package ru.bitel.bgbilling.kernel.network.radius

# Enum Class RadiusListener.Mode

java.lang.Object
java.lang.Enum<RadiusListener.Mode>
ru.bitel.bgbilling.kernel.network.radius.RadiusListener.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<RadiusListener.Mode>`, `Constable`

Enclosing class:
  `RadiusListener<N extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<?,?,?>>`

public static enum RadiusListener.Mode extends Enum<RadiusListener.Mode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `accounting`
  `authentication`
  `both`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RadiusListener.Mode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RadiusListener.Mode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### authentication

    public static final RadiusListener.Mode authentication

  - ### accounting

    public static final RadiusListener.Mode accounting

  - ### both

    public static final RadiusListener.Mode both

- ## Method Details

  - ### values

    public static RadiusListener.Mode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RadiusListener.Mode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null